Skip to content
Guides
API reference
stable

Get published page by slug

Returns a published page by its slug, with its sections and blocks.

GET/v1/pages/{slug}

Returns a published page by its slug, with its sections and blocks.

Path Parameters

slug*string

URL-friendly identifier.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/pages/string"
{  "id": "string",  "name": "string",  "slug": "string",  "channel": "storefront",  "layout": "string",  "version": null,  "settings": null,  "sections": [    {      "id": "string",      "type": "string",      "order": 0,      "settings": null,      "blocks": [        {          "id": "string",          "type": "string",          "order": 0,          "settings": null        }      ]    }  ],  "status": "draft",  "hasPublishedVersion": true,  "publishedOn": null,  "publishedBy": null,  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null,  "createdBy": null,  "updatedBy": null,  "lastModifiedBy": null}